Subject: RLIMIT_NOFILE fallback

From: Joey Hess <[email-masked]>
Date: Wed, 18 Dec 2013 13:14:46 -0400

In sha1_file.c, when git is built on linux, it will use 
getrlimit(RLIMIT_NOFILE). I've been deploying git binaries to some
unusual systems, like embedded NAS devices, and it seems some with older
kernels like 2.6.33 fail with "fatal: cannot get RLIMIT_NOFILE: Bad address".

I could work around this by building git without RLIMIT_NOFILE defined,
but perhaps it would make sense to improve the code to fall back
to one of the other methods for getting the limit, and/or return the
hardcoded 1 as a fallback. This would make git binaries more robust
against old/broken/misconfigured kernels.

-- 
see shy jo